%global pypi_name warlock

Summary:        Python object model built on top of JSON schema
Name:           python-warlock
Version:        2.0.1
Release:        4%{?dist}
License:        ASL 2.0
URL:            http://pypi.python.org/pypi/warlock
Source0:        %{pypi_source}

BuildRequires: python3-six
BuildRequires: python3-devel python3-setuptools python3-jsonschema python3-jsonpatch

BuildArch:      noarch

%description
Build self-validating python objects using JSON schemas

%package -n python3-%{pypi_name}
Summary:        Python object model built on top of JSON schema
Requires: python3-jsonschema
Requires: python3-jsonpatch
Requires: python3-six

%description -n python3-%{pypi_name}
Build self-validating python objects using JSON schemas

%prep
%autosetup -n %{pypi_name}-%{version}

rm -rf warlock.egg-info
sed -i '/setup_requires/d; /install_requires/d; /dependency_links/d' setup.py
rm -f requirements.txt

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/warlock
%{python3_sitelib}/warlock-%{version}-py%{python3_version}.egg-info

%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.1-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.1-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.1-2
- Rebuilt for OpenCloudOS Stream 23.05

* Wed Apr 12 2023 cunshunxia <cunshunxia@tencent.com> - 2.0.1-1
- initial build
